Icon admin API Resource

icons related WS

POST /admin/icon

Upsert icon to icon repository.

Try it out!

Request Parameters
name type description default constraints
id query ID for the icon being updated.   long
name query Name for an icon, if not provided filename is used.    
Request Body
media type data type
multipart/form-data (custom)
Response Body
media type data type description
application/json HdcSuccessWithIdAndError (JSON) JSON with result and id

Example of response:

{ "success": true, "report": [{ "fileName": "aler.svg", "name": "Alert!", "errorName": "FileAlreadyExistsError", "errorCodeNumber": 11303, "success": false},{ "fileName": "alert.svg", "name": "Alert!", "success": true}]}

POST /admin/icon/category

Add category

Try it out!

Request Body
media type data type
application/json HdcDictItemModelTO (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with result

Example of response:

{"success":true}

PUT /admin/icon/category

Update category

Try it out!

Request Body
media type data type
application/json HdcDictItemModelTO (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with result

Example of response:

{"success":true}

POST /admin/icon/export

Download icons as a zip file.

Try it out!

Request Body
media type data type description
application/json IconsPayload (JSON) Composed of icon list for downloading selected icons and flag for downloading all of them.
Response Body
media type data type description
application/zip object

POST /admin/icon/import

Upload icons as a zip file.

Try it out!

Request Body
media type data type description
application/zip object A multipart entity containing icons packed in a zip file.
multipart/form-data (custom)
Response Body
media type data type description
application/json IconsUploadReport (JSON)

GET /admin/icon/tag

Get tags for given icon.

Try it out!

Request Parameters
name type description default constraints
iconId query - icon id   long
Response Body
media type data type description
application/json array of HdcDictItemModelTO (JSON) - list of icon tags (categories)

Example of response:

{"list":[{"dictKey":"45"}]}

PUT /admin/icon/update

Sets a new icon name for the icon already uploaded.

Try it out!

Request Parameters
name type description default constraints
id query ID of the icon in the DB.   long
name query A new name for the icon.    
Response Body
media type data type description
application/json HdcSuccessWithId (JSON)

DELETE /admin/icon/{iconId}

delete icon from icon repository

Try it out!

Request Parameters
name type description default constraints
iconId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with result

Example of response:

{"success":true}

GET /admin/icon/categories/json

Get icon categories.

Try it out!

Response Body
media type data type description
application/json object (JSON) - list of all categories that can be attached to icons as tags

Example of response:

{"dictId":"categories","list":[{"dictKey":"43","dictValue":"Fire"},{"dictKey":"45","dictValue":"Change Requests"},{"dictKey":"44","dictValue":"Logo"},{"dictKey":"46","dictValue":"Installation"}]}

DELETE /admin/icon/category/{categoryKey}

Remove category

Try it out!

Request Parameters
name type description default constraints
categoryKey path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with result

Example of response:

{"success":true}

GET /admin/icon/list/json

Get icons from icon repository.

Try it out!

Response Body
media type data type description
application/json HdcIconListTO (JSON)

DELETE /admin/icon/tag/{categoryId}

Remove icon category tag

Try it out!

Request Parameters
name type description default constraints
categoryId path   int
iconId query   int
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with result

Example of response:

{"success":true}

POST /admin/icon/tag/{categoryId}

Add category tag for icon

Try it out!

Request Parameters
name type description default constraints
categoryId path   int
iconId query   int
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with result

Example of response:

{"success":true}